FROM openshift/golang-builder:rhel_8_golang_1.16 AS builder
ENV __doozer=update BUILD_RELEASE=202111020903.p0.git.c4f4f8b.assembly.stream BUILD_VERSION=v4.8.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=8 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.8.0-202111020903.p0.git.c4f4f8b.assembly.stream SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=c4f4f8b OS_GIT_VERSION=4.8.0-202111020903.p0.git.c4f4f8b.assembly.stream-c4f4f8b SOURCE_DATE_EPOCH=1622657202 SOURCE_GIT_COMMIT=c4f4f8bbfc87b9fe057de2a05e484387eea1fddb SOURCE_GIT_TAG=c4f4f8b SOURCE_GIT_URL=https://github.com/openshift/cluster-kube-storage-version-migrator-operator 
WORKDIR /go/src/github.com/openshift/cluster-kube-storage-version-migrator-operator
COPY . .
RUN make build --warn-undefined-variables

FROM openshift/ose-base:v4.8.0.20211102.091449
ENV __doozer=update BUILD_RELEASE=202111020903.p0.git.c4f4f8b.assembly.stream BUILD_VERSION=v4.8.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=8 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.8.0-202111020903.p0.git.c4f4f8b.assembly.stream SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=c4f4f8b OS_GIT_VERSION=4.8.0-202111020903.p0.git.c4f4f8b.assembly.stream-c4f4f8b SOURCE_DATE_EPOCH=1622657202 SOURCE_GIT_COMMIT=c4f4f8bbfc87b9fe057de2a05e484387eea1fddb SOURCE_GIT_TAG=c4f4f8b SOURCE_GIT_URL=https://github.com/openshift/cluster-kube-storage-version-migrator-operator 
COPY --from=builder /go/src/github.com/openshift/cluster-kube-storage-version-migrator-operator/cluster-kube-storage-version-migrator-operator /usr/bin/
COPY manifests /manifests
COPY vendor/github.com/openshift/api/operator/v1/*_kube-storage-version-migrator-operator_*.yaml* /manifests

LABEL \
        io.openshift.release.operator="true" \
        name="openshift/ose-cluster-kube-storage-version-migrator-operator" \
        com.redhat.component="ose-cluster-kube-storage-version-migrator-operator-container" \
        io.openshift.maintainer.product="OpenShift Container Platform" \
        io.openshift.maintainer.component="kube-storage-version-migrator" \
        release="202111020903.p0.git.c4f4f8b.assembly.stream" \
        io.openshift.build.commit.id="c4f4f8bbfc87b9fe057de2a05e484387eea1fddb" \
        io.openshift.build.source-location="https://github.com/openshift/cluster-kube-storage-version-migrator-operator" \
        io.openshift.build.commit.url="https://github.com/openshift/cluster-kube-storage-version-migrator-operator/commit/c4f4f8bbfc87b9fe057de2a05e484387eea1fddb" \
        version="v4.8.0"

